Page MenuHomePhabricator

Merge CRM and DonationInterface queue wrappers
Closed, ResolvedPublic8 Estimate Story Points

Description

wmf_common/Queue.php should be based on PHPQueue, and could be merged with DonationQueue.

This is how we eventually get rid of ActiveMQ (SPOF)

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterUpdate DonationInterface lib
wikimedia/fundraising/crm : masterSet source fields correctly
mediawiki/extensions/DonationInterface : masterUnify queue message handling with SmashPig
mediawiki/extensions/DonationInterface : masterGet rid of some more php-message-class, WmfFramework::getHostname
mediawiki/extensions/DonationInterface : masterConsolidate queue message generation.
mediawiki/extensions/DonationInterface : masterRename 'complete' queue to 'donations'
mediawiki/extensions/DonationInterface : masterUpdate SmashPig, use SourceFields logic
mediawiki/extensions/DonationInterface : masterRename payments-init to payments-initial
wikimedia/fundraising/SmashPig : masterAllow overriding source name, type, and version

Event Timeline

awight created this task.Apr 10 2015, 4:05 AM
awight raised the priority of this task from to Low.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 4:05 AM
awight raised the priority of this task from Low to Medium.Aug 10 2015, 7:20 PM
awight added a project: Fundraising-Backlog.
awight set Security to None.

Raising the priority cos this just became much more realistic. We should look at this during code freeze...

DStrine updated the task description. (Show Details)Aug 11 2015, 9:18 PM
DStrine moved this task from Triage to FY 2019-20 on the Fundraising-Backlog board.

Change 354177 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Allow overriding source name, type, and version

https://gerrit.wikimedia.org/r/354177

Change 354177 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Allow overriding source name, type, and version

https://gerrit.wikimedia.org/r/354177

Change 354559 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Rename 'complete' queue to 'donations'

https://gerrit.wikimedia.org/r/354559

Change 354566 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Update SmashPig, use SourceFields logic

https://gerrit.wikimedia.org/r/354566

Change 354605 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP consolidate queue message generation.

https://gerrit.wikimedia.org/r/354605

Change 355370 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Get rid of some more php-message-class, WmfFramework::getHostname

https://gerrit.wikimedia.org/r/355370

Change 355453 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP Use QueueWrapper

https://gerrit.wikimedia.org/r/355453

Change 356311 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Rename payments-init to payments-initial

https://gerrit.wikimedia.org/r/356311

Change 356311 abandoned by Ejegg:
Rename payments-init to payments-initial

https://gerrit.wikimedia.org/r/356311

Change 354559 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Rename 'complete' queue to 'donations'

https://gerrit.wikimedia.org/r/354559

Change 354566 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Update SmashPig, use SourceFields logic

https://gerrit.wikimedia.org/r/354566

Change 354605 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Consolidate queue message generation.

https://gerrit.wikimedia.org/r/354605

Change 355370 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Get rid of some more php-message-class, WmfFramework::getHostname

https://gerrit.wikimedia.org/r/355370

Change 355453 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Unify queue message handling with SmashPig

https://gerrit.wikimedia.org/r/355453

Change 368848 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Update DonationInterface lib

https://gerrit.wikimedia.org/r/368848

Change 370289 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Set source fields correctly

https://gerrit.wikimedia.org/r/370289

Change 370289 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Set source fields correctly

https://gerrit.wikimedia.org/r/370289

Change 368848 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Update DonationInterface lib

https://gerrit.wikimedia.org/r/368848

Ejegg closed this task as Resolved.Aug 29 2017, 8:06 PM
Ejegg claimed this task.
Ejegg set the point value for this task to 4.
Ejegg changed the point value for this task from 4 to 8.